View Issue Details

IDProjectCategoryView StatusLast Update
0001121NoesisGUIC++ SDKpublic2019-03-09 13:51
ReporternikobarliAssigned Tosfernandez 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.2f2 
Target Version2.2.0Fixed in Version2.2.0rc1 
Summary0001121: Weird focusing on TabControl
DescriptionFrom forum discussion: http://www.noesisengine.com/forums/viewtopic.php?f=3&t=1129

Using the below XAML test code:

        <TabControl>
            <TabItem Header="Tab1"><TextBox></TextBox></TabItem>
            <TabItem Header="Tab2"><TextBox></TextBox></TabItem>
            <TabItem Header="Tab3"><TextBox></TextBox></TabItem>
            <TabItem Header="Tab4"><TextBox></TextBox></TabItem>
        </TabControl>

1. Repeatedly typing Shift-Tabs change the selection of tabs, but only between Tab3 and Tab4
2. Click on Tab1 header, then type Tab -> the focus doesn't move to the textbox of Tab1
3. Click on Tab1's textbox to move the focus, then type Tab -> the tab selection is changed to Tab2, focus is on header ?
4. Click on Tab2/3/4's textbox to move the focus, then type Tab -> the tab selection is change to Tab1, focus is on header ?
TagsNo tags attached.
PlatformAny

Activities

nikobarli

nikobarli

2018-01-31 08:59

reporter   ~0005069

Seems still not fixed by 2.1.0rc2

Issue History

Date Modified Username Field Change
2017-06-30 02:42 nikobarli New Issue
2017-06-30 02:43 nikobarli Description Updated View Revisions
2018-01-31 08:59 nikobarli Note Added: 0005069
2018-03-14 11:22 sfernandez Assigned To => sfernandez
2018-03-14 11:22 sfernandez Status new => assigned
2018-11-01 02:14 jsantos View Status public => private
2018-11-22 11:41 sfernandez View Status private => public
2018-11-22 11:41 sfernandez Platform => Any
2019-03-09 13:50 sfernandez Fixed in Version => 2.2.0rc1
2019-03-09 13:50 sfernandez Target Version => 2.2.0
2019-03-09 13:51 sfernandez Status assigned => resolved
2019-03-09 13:51 sfernandez Resolution open => fixed